Bug 141393

Summary: http/tests/cache/disk-cache-validation.html generates a lot of Perl errors
Product: WebKit Reporter: Alexey Proskuryakov <ap>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: barraclough, cdumez, commit-queue, koivisto, sam, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Fix perl errors none

Description Alexey Proskuryakov 2015-02-09 10:51:29 PST
I'm not sure if this tests actually tests what it's intended too, given these errors. In any case, there is 140Kb of error spew from this test alone, making it difficult to see other errors.

[Mon Feb 09 06:19:31.803030 2015] [cgi:error] [pid 35781] [client 127.0.0.1:54871] AH01215: Use of uninitialized value in string eq at <...>/OpenSource/LayoutTests/http/tests/cache/resources/generate-response.cgi line 9., referer: http://127.0.0.1:8000/cache/disk-cache-validation.html
Comment 1 Radar WebKit Bug Importer 2015-02-09 23:30:15 PST
<rdar://problem/19778413>
Comment 2 Antti Koivisto 2015-02-10 02:49:53 PST
Where do these logs go?
Comment 3 Alexey Proskuryakov 2015-02-10 09:29:17 PST
Apache errors are saved to error_log.txt file in test results directory, e.g. <https://build.webkit.org/results/Apple%20Yosemite%20Release%20WK2%20(Tests)/r179870%20(2690)/error_log.txt>.
Comment 4 Dana Burkart 2015-02-10 13:02:40 PST
Created attachment 246336 [details]
Fix perl errors
Comment 5 WebKit Commit Bot 2015-02-11 00:36:25 PST
Comment on attachment 246336 [details]
Fix perl errors

Clearing flags on attachment: 246336

Committed r179920: <http://trac.webkit.org/changeset/179920>
Comment 6 WebKit Commit Bot 2015-02-11 00:36:30 PST
All reviewed patches have been landed.  Closing bug.